Debian Bug report logs - #573531
drbd8-modules-2.6.26-2-amd64: Can not load drbd module

Package: drbd8-source; Maintainer for drbd8-source is (unknown);

Reported by: Dennis Hoppe <dennis.hoppe@debian-solutions.de>

Date: Fri, 12 Mar 2010 07:45:01 UTC

Severity: important

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package drbd8-modules-2.6.26-2-amd64. (Fri, 12 Mar 2010 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Hoppe <dennis.hoppe@debian-solutions.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Mar 2010 07:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Hoppe <dennis.hoppe@debian-solutions.de>
To: submit@bugs.debian.org
Subject: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Fri, 12 Mar 2010 08:11:34 +0100
[Message part 1 (text/plain, inline)]
Package: drbd8-modules-2.6.26-2-amd64
Version: 2.6.26+8.0.14-6+lenny1
Severity: important

*** Please type your report below this line ***

Hello,

after installing the security update for linux-image-2.6.26-2-amd
(2.6.26-21lenny4) my hole cluster was going down, because the drbd
module could not be loaded.

hotkey@beta:~$ lsmod | grep drbd

hotkey@beta:~$ sudo modprobe drbd
FATAL: Error inserting drbd
(/lib/modules/2.6.26-2-xen-amd64/extra/drbd8/drbd/drbd.ko): Unknown
symbol in module, or unknown parameter (see dmesg)

hotkey@beta:~$ sudo tail /var/log/syslog
...
Mar 12 07:59:15 beta kernel: [  148.854821] drbd: disagrees about
version of symbol cn_add_callback
Mar 12 07:59:15 beta kernel: [  148.854824] drbd: Unknown symbol
cn_add_callback

I decided to purge drbd8-modules-2.6.26-2-amd64 and installed
drbd8-source. After that i was able to load the drbd module.

Regards, Dennis

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-xen-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages drbd8-modules-2.6.26-2-amd64 depends on:
ii  linux-image-2.6.26-2-amd 2.6.26-21lenny4 Linux 2.6.26 image on AMD64

drbd8-modules-2.6.26-2-amd64 recommends no packages.

drbd8-modules-2.6.26-2-amd64 suggests no packages.

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package drbd8-modules-2.6.26-2-amd64. (Fri, 12 Mar 2010 14:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Mar 2010 14:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 573531@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dennis Hoppe <dennis.hoppe@debian-solutions.de>, 573531@bugs.debian.org
Subject: Re: Bug#573531: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Fri, 12 Mar 2010 14:25:52 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2010-03-12 at 08:11 +0100, Dennis Hoppe wrote:
> Package: drbd8-modules-2.6.26-2-amd64
> Version: 2.6.26+8.0.14-6+lenny1
> Severity: important
> 
> *** Please type your report below this line ***
> 
> Hello,
> 
> after installing the security update for linux-image-2.6.26-2-amd
> (2.6.26-21lenny4) my hole cluster was going down, because the drbd
> module could not be loaded.
> 
> hotkey@beta:~$ lsmod | grep drbd
> 
> hotkey@beta:~$ sudo modprobe drbd
> FATAL: Error inserting drbd
> (/lib/modules/2.6.26-2-xen-amd64/extra/drbd8/drbd/drbd.ko): Unknown
> symbol in module, or unknown parameter (see dmesg)
> 
> hotkey@beta:~$ sudo tail /var/log/syslog
> ...
> Mar 12 07:59:15 beta kernel: [  148.854821] drbd: disagrees about
> version of symbol cn_add_callback
> Mar 12 07:59:15 beta kernel: [  148.854824] drbd: Unknown symbol
> cn_add_callback
> 
> I decided to purge drbd8-modules-2.6.26-2-amd64 and installed
> drbd8-source. After that i was able to load the drbd module.

This is a known bug and will be fixed shortly by security updates to
drbd8 and linux-modules-extra-2.6.

Ben.

-- 
Ben Hutchings
If God had intended Man to program,
we'd have been born with serial I/O ports.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package drbd8-modules-2.6.26-2-amd64. (Mon, 15 Mar 2010 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <dmiller@metheus.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 16:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 573531@bugs.debian.org (full text, mbox):

From: David Miller <dmiller@metheus.org>
To: 573531@bugs.debian.org
Subject: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Mon, 15 Mar 2010 11:30:31 -0400
I've also been bitten by this bug - noticed it last Friday and it 
doesn't seem to be fixed this morning.

Is there an ETA on a fix with packages?

Thanks,

--- David




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package drbd8-modules-2.6.26-2-amd64. (Mon, 15 Mar 2010 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #20 received at 573531@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: David Miller <dmiller@metheus.org>, 573531@bugs.debian.org
Subject: Re: Bug#573531: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Mon, 15 Mar 2010 10:56:51 -0600
On Mon, Mar 15, 2010 at 11:30:31AM -0400, David Miller wrote:
> I've also been bitten by this bug - noticed it last Friday and it  
> doesn't seem to be fixed this morning.
>
> Is there an ETA on a fix with packages?

Packages are now available in the security repo (an apt-get upgrade
should suffice).

I'm hoping to get a CVE ID before sending out a formal DSA.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package drbd8-modules-2.6.26-2-amd64. (Mon, 15 Mar 2010 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to vincendon@lma.cnrs-mrs.fr:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 17:27:02 GMT) Full text and rfc822 format available.

Message #25 received at 573531@bugs.debian.org (full text, mbox):

From: Vincendon Bruno <vincendon@lma.cnrs-mrs.fr>
To: 573531@bugs.debian.org
Subject: Re: Bug#573531: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Mon, 15 Mar 2010 18:15:06 +0100
Hello,
what about the drbd8-modules-2.6-amd64 package ? We were happy to switch from 
the "drbd8-source/ module source building" when we upgraded to Lenny...
Thank you

Le 15/03/2010 17:56, dann frazier a écrit :
> On Mon, Mar 15, 2010 at 11:30:31AM -0400, David Miller wrote:
>> I've also been bitten by this bug - noticed it last Friday and it
>> doesn't seem to be fixed this morning.
>>
>> Is there an ETA on a fix with packages?
>
> Packages are now available in the security repo (an apt-get upgrade
> should suffice).
>
> I'm hoping to get a CVE ID before sending out a formal DSA.
>
>
>





Bug reassigned from package 'drbd8-modules-2.6.26-2-amd64' to 'src:linux-modules-extra-2.6'. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 17:51:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-modules-extra-2.6/2.6.26-6+lenny1. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 17:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package src:linux-modules-extra-2.6. (Mon, 15 Mar 2010 18:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 18:12:07 GMT) Full text and rfc822 format available.

Message #34 received at 573531@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: vincendon@lma.cnrs-mrs.fr, 573531@bugs.debian.org
Subject: Re: Bug#573531: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Mon, 15 Mar 2010 18:06:48 +0000
On Mon, Mar 15, 2010 at 06:15:06PM +0100, Vincendon Bruno wrote:
> Hello,
> what about the drbd8-modules-2.6-amd64 package ? We were happy to switch 
> from the "drbd8-source/ module source building" when we upgraded to 
> Lenny...

All the drbd8 packages will be updated at the same time.

Ben.

-- 
Ben Hutchings
It is a miracle that curiosity survives formal education. - Albert Einstein




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573531; Package src:linux-modules-extra-2.6. (Mon, 15 Mar 2010 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 19:45:06 GMT) Full text and rfc822 format available.

Message #39 received at 573531@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: David Miller <dmiller@metheus.org>
Cc: 573531@bugs.debian.org
Subject: Re: Bug#573531: drbd8-modules-2.6.26-2-amd64: Can not load drbd module
Date: Mon, 15 Mar 2010 13:42:20 -0600
On Mon, Mar 15, 2010 at 02:45:13PM -0400, David Miller wrote:
> dann frazier wrote:
>> On Mon, Mar 15, 2010 at 11:30:31AM -0400, David Miller wrote:
>>   
>>> I've also been bitten by this bug - noticed it last Friday and it   
>>> doesn't seem to be fixed this morning.
>>>
>>> Is there an ETA on a fix with packages?
>>>     
>>
>> Packages are now available in the security repo (an apt-get upgrade
>> should suffice).
>>
>> I'm hoping to get a CVE ID before sending out a formal DSA.
>>   
>
> Am I doing something st00pid, as usual?

No - turns out we had a typo that prevents apt from upgrading. A new
version is currently being built and should be released later today.




Bug reassigned from package 'src:linux-modules-extra-2.6' to 'drbd8-source'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 07 Apr 2010 10:06:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:10:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.